/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(function ($, Drupal) {
  Drupal.behaviors.cookiebot = {
    attach: function attach(context) {
      $('.cookiebot-renew', context).once().on('click', function (event) {
        if (typeof Cookiebot === 'undefined') {
          return;
        }

        Cookiebot.renew();
        event.preventDefault();
      });
    }
  };

  Drupal.cookiebot = {
    updateCookies: function updateCookies() {
      var cookieNames = ['necessary', 'preferences', 'statistics', 'marketing'];

      $.each(cookieNames, function (index, cookieName) {
        if (Cookiebot.consent[cookieName] === true && $.cookie('cookiebot-consent--' + cookieName) !== '1') {
          $.cookie('cookiebot-consent--' + cookieName, '1', {
            path: '/'
          });
          return;
        }

        if (Cookiebot.consent[cookieName] === false && $.cookie('cookiebot-consent--' + cookieName) !== '0') {
          $.cookie('cookiebot-consent--' + cookieName, '0', {
            path: '/'
          });
        }
      });
    }
  };
})(jQuery, Drupal);

function CookiebotCallback_OnAccept() {
  Drupal.cookiebot.updateCookies();
}

function CookiebotCallback_OnDecline() {
  Drupal.cookiebot.updateCookies();
}